# -*- coding: utf-8 -*-
from __future__ import unicode_literals, division, absolute_import, print_function
__license__   = 'GPL v3'
__copyright__ = '2014,2015,2016,2017,2018,2019,2020,2021 DaltonST <DaltonShiTzu@outlook.com>'
__my_version__ = "3.6.115"    # Download Web Series, Indexes, LCCN, ISBN, PermaLinks, Tags, Publisher, PubDate [Selected Single Real Author]

from calibre.customize import InterfaceActionBase

class ActionQuarantineAndScrub(InterfaceActionBase):

    name                    = 'QuarantineAndScrub'
    description           = '[For Advanced Calibre Users Only: Must Download Special Database From mobileread.com] Clean Malformed, Misplaced or Missing Author, Title, Series, Index, ISBN; Tag Scrubber, Deriver, Propagator, Defaulter & Minimizer; Series Deriver & Consolidator; Series & Index Validator/Corrector; Genre Deriver; LCC & DDC Deriver; Book Awards; & Much More'
    supported_platforms     = ['windows', 'osx', 'linux']
    author                  = 'DaltonST'
    version                 = (3, 6, 115)
    minimum_calibre_version = (5, 0, 0)

    actual_plugin       = 'calibre_plugins.quarantine_and_scrub.ui:QuarantineAndScrub'

    gui_name = "QuarantineAndScrub"

    #--------------------------------------------------------------------------------------------------------------------------
    def is_customizable(self):
        return True
    #--------------------------------------------------------------------------------------------------------------------------
    def config_widget(self):
        from calibre_plugins.quarantine_and_scrub.config import ConfigWidget
        return ConfigWidget()
    #--------------------------------------------------------------------------------------------------------------------------
    def save_settings(self, ConfigWidget):
        ConfigWidget.save_settings()
        ac = self.actual_plugin_
        if ac is not None:
            ac.apply_settings()
    #--------------------------------------------------------------------------------------------------------------------------
#END of __init__py
